Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed Affected version:  

Description

Hi,

I think this relates to all activities pages:

The current month of the page is not displayed nowhere on the page when there's no activity for it.

I have to look at the status bar info to see the url of the Next and Previous links for determining which month I am on. It's a little

confusing.

Regards,

Nikolay

Associated revisions

Revision 1261 - 2008-03-16 15:18 - Jean-Philippe Lang

Adds a title attribute to the next/previous links on the activity view, containing the corresponding date range (#837).

Revision 1303 - 2008-03-29 12:12 - Jean-Philippe Lang

Show date range on the activity (closes #837).

History

#1 - 2008-03-12 17:14 - Nikolay Solakov

In fact, I saw the setting "Days displayed in project activity".

My description above is not so good. Maybe there has to be period displayed on the activity page.

#2 - 2008-03-12 20:31 - Jean-Philippe Lang

The activity view now displays the last N days rather than the current month.

Displaying the month name could lead to misunderstandings since the month may not be entirely displayed (eg if you choose to display less than 30

days).

What do you propose ?

#3 - 2008-03-12 22:26 - Nikolay Solakov

Yes, you're right, JP.

In #note-1  I tried to explain that maybe it's better to display the dates from the period in Previous and Next links.

Previous url.../activity?from= 2008-02-22   to Next Url  .../activity?from= 2008-03-03

Somethin like: Period: 2008-02-22 to 2008-03-03

Maybe this will be ok. What do you think?

#4 - 2008-03-16 15:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7

- Resolution set to Fixed

OK, I added the date range in the title attribute of the next/previous links in r1261.

#5 - 2008-03-18 11:22 - Nikolay Solakov
- Status changed from Closed to Reopened

- % Done changed from 0 to 50

JP, sorry for bothering you again with this litter whim.

There was something misunderstanding between us. The titles are cool now, but my thought was to display them on the page, actually. Like the 

Activity label.

Thanks,

Nikolay

#6 - 2008-03-18 19:02 - Jean-Philippe Lang

I see. You'd like something like this at the top of the page, don't you ?

From 2008-03-10 to 2008-03-15

#7 - 2008-03-18 20:23 - Nikolay Solakov

Absolutely. You can leave the current tooltips too :)

Thanks,

Nikolay

#8 - 2008-03-29 12:17 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- % Done changed from 50 to 100

Applied in changeset r1303.
